ADD_TIMER(9)

NAME
add_timer - start a timer

SYNOPSIS

void add_timer(struct timer_list * timer);

ARGUMENTS

timer
    the timer to be added

DESCRIPTION

The kernel will do a ->function(->data) callback from the timer interrupt at the ->expires point in the future. The current time is 'jiffies'.

The timer's ->expires, ->function (and if the handler uses it, ->data) fields must be set prior calling this function.

Timers with an ->expires field in the past will be executed in the next timer tick.

COPYRIGHT